# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
%define svn_date 20070315
Name:           telescope-server
Version:        0
Release:        alt1_0.16.%svn_date
Summary:        Opensource Telescope control servers to interface with stellarium

Group:          Toys
License:        GPLv2+ and LGPLv2+
URL:            http://www.stellarium.org/wiki/index.php/Telescope_Control
# This source was pulled from 
# svn co https://svn.sourceforge.net/svnroot/stellarium/trunk/telescope_server
# based on instructions at http://www.stellarium.org/wiki/index.php/Telescope_Control
Source0:         telescope_server-%svn_date.tar.gz
Patch0:         telescope-server-gcc43.patch
Source44: import.info


%description
These servers provide remote telescope control of some popular telescopes.
These servers run stand-alone, but are designed to interface with stellarium.

%prep
%setup -q -n telescope_server
%patch0 -p1

%build
cd src
export CCFLAGS="$RPM_OPT_FLAGS"
export LDFLAGS=""
make %{?_smp_mflags} -e


%install
cd src
mkdir -p $RPM_BUILD_ROOT/%{_bindir}/
cp TelescopeServerDummy $RPM_BUILD_ROOT/%{_bindir}/
cp TelescopeServerLx200 $RPM_BUILD_ROOT/%{_bindir}/
cp TelescopeServerNexStar $RPM_BUILD_ROOT/%{_bindir}/

%files
%doc COPYING  gpl.txt  lgpl.txt README stellarium_telescope_protocol.txt
%{_bindir}/*


%changelog
* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.16.20070315
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.14.20070315
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.13.20070315
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.12.20070315
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.11.20070315
- initial fc import

